# TestingRosterStateManager class

Inheritance
  - Object
  - BaseRosterStateManager
  - TestingRosterStateManager
Annotations
  - @visibleForTesting

## Constructors

TestingRosterStateManager (String? initialRosterVersion, List <XmppRosterItem> initialRoster)

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
initialRoster → List <XmppRosterItem>
  final
initialRosterVersion → String?
  final
loadCount ↔ int
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

commitRoster (String? version, List <String> removed, List <XmppRosterItem> modified, List <XmppRosterItem> added) → Future <void>
  Overrideable function Commits the roster data to persistent storage.
  override
getRosterItems () → List <XmppRosterItem>
  inherited
getRosterVersion () → Future <String?>
  Load and cache or return the cached roster version.
  inherited
handleRosterFetch (RosterRequestResult result) → Future <void>
  Handles the result from a roster fetch.
  inherited
handleRosterPush (RosterPushResult event) → Future <void>
  Handles a roster push from the RosterManager.
  inherited
loadRosterCache () → Future <RosterCacheLoadResult>
  Overrideable function Loads the old cached version of the roster and optionally that roster version from persistent storage into a RosterCacheLoadResult object.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
register (void sendEvent(XmppEvent)) → void
  Internal function. Registers functions from the RosterManger against this instance.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited